Load a workstream's header and trend
curl --request GET \
--url https://openlens.com/api/workstreams/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://openlens.com/api/workstreams/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openlens.com/api/workstreams/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"header": {
"workstream": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"topicIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"attributes": [
"<string>"
],
"archivedAt": "2023-11-07T05:31:56Z",
"currentGoal": {
"effectiveFrom": "2023-11-07T05:31:56Z",
"goalText": "<string>",
"targetVisibility": 50,
"targetDeadline": "2023-12-25"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"currentVisibility": 123,
"deltaPts": 123,
"windowDays": 123,
"sparkline": [
{
"date": "2023-12-25",
"visibility": 123
}
],
"progressPct": 123,
"daysToDeadline": 123
},
"trend": {
"series": [
{
"date": "2023-12-25",
"visibility": 123
}
],
"contentUpdates": [
{}
]
}
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Workstreams
Load a workstream's header and trend
GET
/
workstreams
/
{id}
Load a workstream's header and trend
Was this page helpful?
⌘I